Mercury API
msgAddGEN2BlockWrite Method (msg, timeout, memBank, wordPtr, data, accessPassword, target)
Namespaces ► ThingMagic ► SerialReader ► msgAddGEN2BlockWrite(List<(Of <(Byte>)>)%, UInt16, Gen2..::.Bank, UInt32, array<UInt16>[]()[], UInt32, TagFilter)
assemble the embedded command for BlockWrite
Declaration Syntax

C# | Visual Basic | Visual C++

    [ObsoleteAttribute]
    public byte msgAddGEN2BlockWrite(
    	ref List<byte> msg,
    	ushort timeout,
    	Gen2..::.Bank memBank,
    	uint wordPtr,
    	ushort[] data,
    	uint accessPassword,
    	TagFilter target
    )

    <ObsoleteAttribute> _
    Public Function msgAddGEN2BlockWrite ( _
    	ByRef msg As List(Of Byte), _
    	timeout As UShort, _
    	memBank As Gen2..::.Bank, _
    	wordPtr As UInteger, _
    	data As UShort(), _
    	accessPassword As UInteger, _
    	target As TagFilter _
    ) As Byte

    [ObsoleteAttribute]
    public:
    unsigned char msgAddGEN2BlockWrite(
    	List<unsigned char>^% msg,
    	unsigned short timeout,
    	Gen2..::.Bank memBank,
    	unsigned int wordPtr,
    	array<unsigned short>^ data,
    	unsigned int accessPassword,
    	TagFilter^ target
    )

Parameters

msg ( List <(Of <( Byte >)>) %)
  The embedded command bytes

timeout (UInt16)
  timeout

memBank (Gen2..::.Bank)
  memory bank

wordPtr (UInt32)
  word pointer

data (array< UInt16 >[]()[])
  data

accessPassword (UInt32)
  access password

target (TagFilter)
  target

Return Value
the length of the assembled embedded command

Assembly: MercuryAPI (Module: MercuryAPI) Version: 1.29.4.34 (1.29.4.34)